System requirements for using Slack

If you’re curious about the system requirements needed to run Slack, read on to learn which operating systems (OS) and browsers we support. For the best experience, we recommend using the latest versions.

Note: Slack updates these system requirements twice per year, in March and September. Visit Slack’s support lifecycle to learn more.


Desktop

OS OS version App version
Mac OS X OS X 10.14 or above 4.20.0 or above
Windows

Windows 8.1

Windows 10 version 1909
Windows 10 version 20H2 or above
Windows 11

4.20.0 or above

Linux Ubuntu LTS releases 18.04 or above
Red Hat Enterprise Linux 8.0 or above
4.20.0 or above

Note: Starting 1st March 2022, Slack will no longer support Fedora Linux distributions.

Tip: If you’re running into issues with downloading the latest version of the desktop app, visit Update the Slack desktop app.


Mobile

OS  OS version App version
iOS iOS 14 or above 21.09.10 or above
Android* Android 9 or above 21.09.10 or above

*We only support Android devices that have Google Play Services installed by default.


Web browser

Browser

Browser version

Chrome

Version 90 or above

Firefox

Version 88 or above

Safari

Version 14.1 or above

Microsoft Edge

Version 90 or above

Note: Google Chrome and Firefox are the only browsers that support huddles.


Learn more

To learn about when we stop supporting certain versions and to see a list of versions that will soon be blocked, visit Slack support lifecycle for app versions, browsers and operating systems.